package com.MongoDemo.MongoSpring.controller;

import com.MongoDemo.MongoSpring.model.UserResponse;
import com.MongoDemo.MongoSpring.service.UserService;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class UserController {
    private UserService userService;

    public UserController(UserService userService) {
        this.userService = userService;
    }

    @GetMapping(value = "/api/users", produces = {"application/json"})
    ResponseEntity<UserResponse> searchAllUsers() {
        UserResponse response = userService.getAllUsers();
        return new ResponseEntity<>(response, HttpStatus.ACCEPTED);
    }
}
